summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJeremy Audet2017-06-25 15:04:16 -0400
committerJeremy Audet2017-06-25 15:04:16 -0400
commitb63eb1376d33623b7598ea86407e345c9fc3ad7f (patch)
tree617d943ff00fee8c8e51cf5d56cdc7b3af1a3d2a
parent8be9461320917a5a0aea7df4fa196a05342a3bf3 (diff)
downloadaur-b63eb1376d33623b7598ea86407e345c9fc3ad7f.tar.gz
Add a simple script for testing osmupdate
When executed, it will verify that: * osmupdate functions correctly when passed no arguments. * osmupdate functions correctly when told to update a (small) `.pbf` file.
-rwxr-xr-xtest.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/test.sh b/test.sh
new file mode 100755
index 000000000000..e8b98b58af23
--- /dev/null
+++ b/test.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+# Perform simple tests to ensure osmupdate works correctly.
+set -euo pipefail
+
+# Perform a sanity check. The output includes the current version.
+osmupdate
+
+# Create a (pointless) changefile. Vermont is sparse and geographically small.
+wget 'http://download.geofabrik.de/north-america/us/vermont-latest.osm.pbf'
+osmupdate vermont-latest.osm.pbf vermont-latest-updated.osm.pbf